{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Delete a script from a Workers for Platforms dispatch namespace. This call has no response body on a successful delete.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/workers_identifier"},"dispatch_namespace":{"$ref":"#/definitions/workers_dispatch_namespace_name"},"script_name":{"$ref":"#/definitions/workers_script_name"}},"required":["account_id","dispatch_namespace","script_name"],"additionalProperties":false},"query":{"type":"object","properties":{"force":{"type":"boolean","description":"If true, delete the script even when other Workers still reference it. Service bindings in those Workers may be left broken. Durable Object namespaces implemented by the deleted script are deleted even if other Workers reference them."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"workers_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"workers_dispatch_namespace_name":{"description":"Name of the Workers for Platforms dispatch namespace.","type":"string","pattern":"^.+$","examples":["my-dispatch-namespace"]},"workers_script_name":{"description":"Name of the script.","type":"string","pattern":"^[a-z0-9_][a-z0-9-_]*$","examples":["this-is_my_script-01"]}}},"name":"Delete Workers for Platforms Script","id":"cloudflare.namespace-worker-script-delete-worker","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353","dispatch_namespace":"my-dispatch-namespace","script_name":"this-is_my_script-01"}},"maxRequests":1,"summary":false}}